Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Class Wand

    java.lang.Object
      ij.gui.Wand

public class Wand
extends java.lang.Object

This class implements ImageJ's wand (tracing) tool.

Field Summary
`int` | `npoints` The number of points in the generated outline.
`int[]` | `xpoints` The x-coordinates of the points in the outline.
`int[]` | `ypoints` The y-coordinates of the points in the outline.

Constructor Summary
`Wand(ImageProcessor ip)` Constructs a Wand object from an ImageProcessor.

Method Summary
`void` | `autoOutline(int startX, int startY)` Traces the boundary of an area of uniform color, where 'startX' and 'startY' are somewhere inside the area.
`void` | `autoOutline(int startX, int startY, double lower, double upper)` Traces an object defined by lower and upper threshold values.
`void` | `autoOutline(int startX, int startY, int lower, int upper)` This is a variation of autoOutline that uses int threshold arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### npoints

    public int npoints

  The number of points in the generated outline.

### xpoints

    public int[] xpoints

  The x-coordinates of the points in the outline.

### ypoints

    public int[] ypoints

  The y-coordinates of the points in the outline.

Constructor Detail

### Wand

    public Wand(ImageProcessor ip)

  Constructs a Wand object from an ImageProcessor.

Method Detail

### autoOutline

    public void autoOutline(int startX,
                            int startY)

  Traces the boundary of an area of uniform color, where 'startX' and 'startY' are somewhere inside the area. The boundary points are stored in the public xpoints and ypoints fields. A 16 entry lookup table is used to determine the direction at each step of the tracing process. Note that the four argument version [autoOutline(x, y, lower, upper)] works more reliably.

### autoOutline

    public void autoOutline(int startX,
                            int startY,
                            double lower,
                            double upper)

  Traces an object defined by lower and upper threshold values. The boundary points are stored in the public xpoints and ypoints fields. This verson works more reliably than autoOutline(x, y).

### autoOutline

    public void autoOutline(int startX,
                            int startY,
                            int lower,
                            int upper)

  This is a variation of autoOutline that uses int threshold arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD